Updates the job work instruction list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "798f25f8-f4a1-40b4-b4cb-0a2cbaf7ae40",
  "jobs_id": "e582c65c-0f7a-4dc0-8ac6-a7ce36764469",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "bc5a5a45-090b-4fb5-b068-abe51d176a74",
    "_parent_id": "9daf65cc-81ba-4056-9850-053b70cc0169",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "e173550b-d1cb-4c9c-a4e7-0a6a4009b0b7",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "c0a2298f-5786-4cd0-888b-b446fd07af9e",
      "_parent_id": "7c8c67a2-0028-4a1a-9cd6-f0fe1ef7df40",
      "root_parent_id": "5c6687bf-e3be-4081-8df9-d2fce20e084c",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "01c48f1b-559f-486c-bf42-d61be0439371",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "c94cf182-15fe-4d10-bc78-eb8d355a353f",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "7c77c98c-d333-442c-868b-87015be0d2dd",
        "_parent_code": "sample string 6",
        "sales_organization_id": "07d1257f-3533-4691-a909-32f3362464c4",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "7b35ebd7-6bc3-4e15-8cca-eb6d4f0b77ce",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "6d60390f-9193-45ec-89ce-dfd94d91ac4b",
          "db_currency_id": "b1851149-0774-4a29-bc0b-200c35b97fa2",
          "db_language_id": "e0aa7904-28de-4688-ba07-f576d0667bed",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-21T22:16:33.7924668+00:00"
        },
        "modified_dateutc": "2026-11-21T22:16:33.7924668+00:00"
      },
      "equipment_model_id": "830d8085-b522-4b37-a572-9583e21225f2",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "300f1c15-cbb6-4405-9a92-acbec326c617",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "a51c3742-4474-48f4-a31f-ef8979a2bc21",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "aaaaa872-df51-4b7d-b634-1bca1be895d1",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "15fb6a26-de31-4238-bc63-b6d34fb8f2f6",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "7b35ebd7-6bc3-4e15-8cca-eb6d4f0b77ce",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "6d60390f-9193-45ec-89ce-dfd94d91ac4b",
            "db_currency_id": "b1851149-0774-4a29-bc0b-200c35b97fa2",
            "db_language_id": "e0aa7904-28de-4688-ba07-f576d0667bed",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-21T22:16:33.7924668+00:00"
          },
          "modified_dateutc": "2026-11-21T22:16:33.7924668+00:00"
        },
        "equipment_family_id": "819c36ff-14b7-452b-84dd-0c595e86c046",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "c94cf182-15fe-4d10-bc78-eb8d355a353f",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "7c77c98c-d333-442c-868b-87015be0d2dd",
          "_parent_code": "sample string 6",
          "sales_organization_id": "07d1257f-3533-4691-a909-32f3362464c4",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "7b35ebd7-6bc3-4e15-8cca-eb6d4f0b77ce",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "6d60390f-9193-45ec-89ce-dfd94d91ac4b",
            "db_currency_id": "b1851149-0774-4a29-bc0b-200c35b97fa2",
            "db_language_id": "e0aa7904-28de-4688-ba07-f576d0667bed",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-21T22:16:33.7924668+00:00"
          },
          "modified_dateutc": "2026-11-21T22:16:33.7924668+00:00"
        },
        "date_in_production_since": "2026-11-21T22:16:33.7924668+00:00",
        "date_out_of_production_since": "2026-11-21T22:16:33.7924668+00:00",
        "date_end_support": "2026-11-21T22:16:33.7924668+00:00",
        "sales_organization_id": "4c9dfb1b-0ad2-4796-9e98-1e7a5feac329",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "7b35ebd7-6bc3-4e15-8cca-eb6d4f0b77ce",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "6d60390f-9193-45ec-89ce-dfd94d91ac4b",
          "db_currency_id": "b1851149-0774-4a29-bc0b-200c35b97fa2",
          "db_language_id": "e0aa7904-28de-4688-ba07-f576d0667bed",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-21T22:16:33.7924668+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-11-21T22:16:33.7924668+00:00"
      },
      "project_status_id": "4544f8ab-e75b-4f24-91ac-7a3eac95e226",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "f4c8c90a-c183-4f73-99c0-f35e46a56927",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "83742357-5541-4a8b-aa41-14b48438c585",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "7b35ebd7-6bc3-4e15-8cca-eb6d4f0b77ce",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "6d60390f-9193-45ec-89ce-dfd94d91ac4b",
          "db_currency_id": "b1851149-0774-4a29-bc0b-200c35b97fa2",
          "db_language_id": "e0aa7904-28de-4688-ba07-f576d0667bed",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-21T22:16:33.7924668+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-11-21T22:16:33.7924668+00:00"
      },
      "company_id": "df22cc58-11ed-433b-8fb1-d59aa7fa3a05",
      "company_code": "sample string 12",
      "db_address_id": "64349ecc-1dc5-4e4c-9015-7257408aa0c0",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "b6049233-8b16-4b85-9091-6d81104884a2",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "6e7bebf1-6990-469c-8bb5-21fdf6cfa520",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-11-21T22:16:33.7924668+00:00",
      "date_create": "2026-11-21T22:16:33.7924668+00:00",
      "date_update": "2026-11-21T22:16:33.7924668+00:00",
      "updated_by_user_id": "8b29bdd4-f536-4952-b35d-e3f4a1f5a4c9",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-11-21T22:16:33.7924668+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-11-21T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-11-21T22:16:33.7924668+00:00",
      "date_last_job": "2026-11-21T22:16:33.7924668+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-11-21T22:16:33.7924668+00:00",
      "modified_dateutc": "2026-11-21T22:16:33.7924668+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "dc723007-1aea-455f-8070-fec4f1eac70c",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "dbcf43e2-2de8-4387-b676-29b90dd2a026",
      "name": "sample string 2",
      "sales_organization_id": "4eb12e88-6270-4b51-83f8-2a62d7a72fc0",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-11-21T22:16:33.7924668+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "6c038dc5-c675-4d37-90d1-a8879275cc31",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "b202dfa0-905a-4861-b8ab-e99dc7c2ad78",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "26737f2c-1076-4d6f-8609-32492a87ffe7",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "7b35ebd7-6bc3-4e15-8cca-eb6d4f0b77ce",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "6d60390f-9193-45ec-89ce-dfd94d91ac4b",
        "db_currency_id": "b1851149-0774-4a29-bc0b-200c35b97fa2",
        "db_language_id": "e0aa7904-28de-4688-ba07-f576d0667bed",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-21T22:16:33.7924668+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-11-21T22:16:33.7924668+00:00"
    },
    "job_status_id": "87f2c624-f505-4288-b600-79abf3d0a780",
    "job_status_code": "sample string 11",
    "db_address_id": "c1409b8e-32ab-40ea-8a61-886b59add4d9",
    "contact_id": "52788d6f-18ad-444c-a90b-61be95743dd2",
    "requested_by_company_id": "b658ccd4-d966-4a7e-b4b6-88be088a5502",
    "requested_by_contact_id": "8e7c8ac8-7345-4a2b-9256-bff7bbdf405c",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-11-21T22:16:33.7924668+00:00",
    "due_date": "2026-11-21T22:16:33.7924668+00:00",
    "date_create": "2026-11-21T22:16:33.7924668+00:00",
    "date_update": "2026-11-21T22:16:33.7924668+00:00",
    "date_closed": "2026-11-21T22:16:33.7924668+00:00",
    "suggested_user_id": "223ff93b-4417-4481-96df-e2e97f0b93de",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "df960646-dd42-4d73-a229-8e69645ec37d",
      "db_language_id": "bf569690-26f6-4c65-a3c7-33da778353d5",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-11-21T22:16:33.7924668+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "8081f1fc-5d20-469c-8943-65299246ce73",
      "sales_organization": {
        "id": "7b35ebd7-6bc3-4e15-8cca-eb6d4f0b77ce",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "6d60390f-9193-45ec-89ce-dfd94d91ac4b",
        "db_currency_id": "b1851149-0774-4a29-bc0b-200c35b97fa2",
        "db_language_id": "e0aa7904-28de-4688-ba07-f576d0667bed",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-21T22:16:33.7924668+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "34f851bf-0bda-4173-a37f-2f1e606835d5",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "0233cd98-1f8a-4df6-9f38-fed9b863df3c",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-11-21T22:16:33.7924668+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "c4c6d694-62ec-41d4-a3de-ab515ad1a945"
    },
    "suggested_date_start": "2026-11-21T22:16:33.7924668+00:00",
    "skill_id": "5c25ea5c-68ed-4ea0-9966-e37b885dd432",
    "skill_code": "sample string 32",
    "skill": {
      "id": "95890017-a46d-4769-ac5e-12a621aaf9b8",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "218ef79c-3b87-43e8-8582-05d7fb17dfe9",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "7b35ebd7-6bc3-4e15-8cca-eb6d4f0b77ce",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "6d60390f-9193-45ec-89ce-dfd94d91ac4b",
        "db_currency_id": "b1851149-0774-4a29-bc0b-200c35b97fa2",
        "db_language_id": "e0aa7904-28de-4688-ba07-f576d0667bed",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-21T22:16:33.7924668+00:00"
      },
      "modified_dateutc": "2026-11-21T22:16:33.7924668+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "77f225a2-2d66-430e-b7e7-edb722b65f3d",
    "date_reported_by_company": "2026-11-21T22:16:33.7924668+00:00",
    "id2": 36,
    "company_id": "42863e2d-0357-4071-aa4c-5d0702337792",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "65079c8d-75ed-4bbe-b3be-c06702f401e1",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-11-21T22:16:33.7924668+00:00"
  },
  "work_instruction_details_id": "43e40c40-6e1b-4f57-b18d-4e66019b263a",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "3d8e0272-eb17-4577-afe1-5a4bed129046",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "45106ae6-3e5d-410b-9106-8896ce6eaf26",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-11-21T22:16:33.7924668+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "a81ea4f7-8b76-42fa-9438-c2eb4a60d0eb",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-11-21T22:16:33.8102384+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.